\name{mahalonobis}
\alias{mahalonobis}
\alias{intradist}
\alias{interdist}
\alias{getSWR}
\title{Mahalonobis Distance}
\description{
Calculate the Distances Within and Between Clusters
and the Scale free Weighted (mahalonobis distance) Ratio (SWR)and UWR

}
\usage{
mahalonobis(p, g, mu, sigma) 
intradist(dat,g,sigma, clust, tau) 
interdist(dat,g,sigma, clust, tau) 
getSWR(dat,g,sigma,clust, tau)
}
\arguments{
  \item{dat}{The dataset, an n by p numeric matrix, where n is number of observations and p the dimension of data.}
  \item{p}{An integer, the dimension of data}
  \item{g}{The number of components of the mixture model}
  \item{mu }{A numeric matrix with each column corresponding to the mean}
  \item{sigma }{An array of dimemnsion (p,p,g) with first two dimension corresponding covariance matrix of each component}
  \item{tau}{An n by g matrix of posterior probability for each data point}
  \item{clust}{An integer vector of partition}
}
\details{
Mahalonobis distance is returned.
}
\seealso{
\code{\link{emmix}}
}
